MONGOC_TRANSACTION_OPTS_SET_READ_PREFS(3)

NAME
mongoc_transaction_opts_set_read_prefs - mongoc_transaction_opts_set_read_prefs()

SYNOPSIS

void
mongoc_transaction_opts_set_read_prefs (mongoc_transaction_opt_t *opts,
                                        const mongoc_read_prefs_t *read_prefs);

Configure the transaction's read preference. The argument is copied into the struct and can be freed after calling this function.

PARAMETERS

•   opts: A mongoc_transaction_opt_t.

•   read_prefs: A mongoc_read_prefs_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc